import request from '@/utils/request'

export function listLifeVideo(query) {
  return request({
    url: '/life/video/list',
    method: 'get',
    params: query
  })
}

export function getLifeVideo(videoId) {
  return request({
    url: '/life/video/' + videoId,
    method: 'get'
  })
}

export function addLifeVideo(data) {
  return request({
    url: '/life/video',
    method: 'post',
    data: data
  })
}

export function updateLifeVideo(data) {
  return request({
    url: '/life/video',
    method: 'put',
    data: data
  })
}

export function delLifeVideo(videoId) {
  return request({
    url: '/life/video/' + videoId,
    method: 'delete'
  })
}

export function shelfLifeVideo(data) {
  return request({
    url: '/life/video/shelf',
    method: 'put',
    data: data
  })
}

export function searchLifeVideoProduct(query) {
  return request({
    url: '/life/video/product/search',
    method: 'get',
    params: query
  })
}

export function batchAddLifeVideo(data) {
  return request({
    url: '/life/video/batch',
    method: 'post',
    data: data
  })
}
